/*
 * Class WEL_INSTANCE
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_702 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_702 [] = {0xFF01,1551,701,0xFFFF};
static const EIF_TYPE_INDEX egt_2_702 [] = {0xFF01,701,0xFFFF};
static const EIF_TYPE_INDEX egt_3_702 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_702 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_702 [] = {0xFF01,701,0xFFFF};
static const EIF_TYPE_INDEX egt_6_702 [] = {0xFF01,701,0xFFFF};
static const EIF_TYPE_INDEX egt_7_702 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_702 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_702 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_702 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_702 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_702 [] = {0xFF01,701,0xFFFF};
static const EIF_TYPE_INDEX egt_13_702 [] = {0xFF01,924,0xFFFF};


static const struct desc_info desc_702[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_702), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_702), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_702), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_702), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_702), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_702), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_702), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_702), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_702), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_702), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_702), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_702), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x057B /*701*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_702), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16092, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17161, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17162, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17163, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 17164, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17165, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17166, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17168, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17177, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 17170, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 17175, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_702), 17176, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17178, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 17179, 0xFFFFFFFF},
};
void Init702(void)
{
	IDSC(desc_702, 0, 701);
	IDSC(desc_702 + 1, 1, 701);
	IDSC(desc_702 + 32, 791, 701);
	IDSC(desc_702 + 34, 1359, 701);
	IDSC(desc_702 + 44, 821, 701);
}


#ifdef __cplusplus
}
#endif
